type: google.api.Service
config_version: 3
name: container.googleapis.com
title: Google Container Engine API

apis:
- name: google.container.v1.ClusterManager
- name: google.container.v1alpha1.ClusterManager
- name: google.container.v1beta1.ClusterManager

documentation:
  summary: |-
    The Google Container Engine API is used for building and managing container
    based applications, powered by the open source Kubernetes technology.

authentication:
  rules:
  - selector: '*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
